Get Users - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/management/v2.0/users
Try it
Get Users
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/management/v2.0/users \
--header 'Authorization: Basic <encoded-value>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/management/v2.0/users"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-trial.cognigy.ai/new/management/v2.0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/users",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Basic <encoded-value>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/management/v2.0/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504
Sample Response
{
"items": [\
{\
"id": "<string>",\
"name": "<string>",\
"cxoneEmail": "<string>",\
"cxoneId": "<string>",\
"_id": "<string>",\
"createdAt": 1694518620,\
"lastChanged": 1694518620,\
"createdBy": "<string>",\
"lastChangedBy": "<string>"\
}\
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}
Error Responses
Bad Request
{ "type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }Unauthorized
{ "type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }
Authorizations
Authorization
string
header
required
Basic Authentication used by routes designed for the Management-UI.
Headers
Accept
enum
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Query Parameters
filter
string
The name or id of the user to filter the recordslimit
integer
The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
Required range:1 <= x <= 100skip
integer
The number of items to skip before returning the results. Use this parameter withlimitfor offset-based pagination. The default value is 0.
Required range:x >= 0sort
string
The order in which results are returned. Set a sorting rule in the formatfield:direction, where direction can beascfor ascending order ordescfor descending order. For example,name:ascsorts by name in ascending order.
Minimum string length: 1
next
string
The cursor that points to the next page of results. Use thenextCursorvalue returned in a previous response to request the next set of items.
Required string length:24previous
string
The cursor that points to the previous page of results. Use thepreviousCursorvalue returned in a previous response to request the previous set of items.
Required string length:24
Response Fields
items
object[]total
integer
Example:1nextCursor
string | null
Required string length:24
Pattern:^[a-z0-9]{24}$previousCursor
string | null
Required string length:24
Pattern:^[a-z0-9]{24}$